Forráskód Böngészése

Merge pull request #16919 from overleaf/jpa-check-env-vars

[server-ce] add script for checking on old ShareLaTeX env vars

GitOrigin-RevId: a60d6f7648d65c336054795affe91a349aa629cf
Jakob Ackermann 2 éve
szülő
commit
12befda220

+ 18 - 0
server-ce/bin/rename-env-vars-5-0.sh

@@ -0,0 +1,18 @@
+#!/bin/bash
+
+set -euo pipefail
+
+FILE=${1:-docker-compose.yml}
+if [[ ! -f "$FILE" ]]; then
+  echo "Expected to find $FILE, are you in the wrong directory?"
+  exit 2
+fi
+
+BACKUP_FILE="$FILE.$(date '+%Y.%m.%d-%H.%M.%S')"
+echo "Creating backup file $BACKUP_FILE"
+cp "$FILE" "$BACKUP_FILE"
+
+echo "Replacing 'SHARELATEX_' with 'OVERLEAF_' in $FILE"
+sed -i "s/SHARELATEX_/OVERLEAF_/g" "$FILE"
+
+echo "Done."

+ 54 - 0
server-ce/init_scripts/000_check_for_old_env_vars_5.sh

@@ -0,0 +1,54 @@
+#!/bin/bash
+
+set -e
+
+OLD_ITEMS=$(env | cut -d '=' -f1 | grep SHARELATEX | sed 's/^/      - /')
+
+if [[ "$OLD_ITEMS" == "" ]]; then
+  exit 0
+fi
+
+N=$(echo "$OLD_ITEMS" | wc -l)
+cat <<EOF
+------------------------------------------------------------------------
+
+                   ShareLaTeX to Overleaf rebranding
+                   ---------------------------------
+
+  Starting with version 5.0, ShareLaTeX branded variables are no
+   longer supported as we are migrating to the Overleaf brand.
+
+  Your configuration still uses $N ShareLaTeX environment variables:
+$OLD_ITEMS
+
+  Please either replace them with the "OVERLEAF_" prefix,
+   e.g. SHARELATEX_MONGO_URL -> OVERLEAF_MONGO_URL, or
+   remove old entries from your configuration.
+
+  You can use the following script for migrating your config.
+
+  Overleaf toolkit setups:
+
+    github.com/overleaf/toolkit$ bin/upgrade
+    github.com/overleaf/toolkit$ bin/rename-env-vars-5-0.sh
+
+  Legacy docker compose setups/Horizontal scaling setups:
+
+    github.com/overleaf/overleaf$ git pull
+    github.com/overleaf/overleaf$ server-ce/bin/rename-env-vars-5-0.sh
+
+    # When using a docker-compose.override.yml file (or other file name):
+    github.com/overleaf/overleaf$ server-ce/bin/rename-env-vars-5-0.sh docker-compose.override.yml
+
+  Other deployment methods:
+
+    Try using the docker compose script or get in touch with support.
+
+
+  Refusing to startup, existing in 10s.
+
+------------------------------------------------------------------------
+EOF
+
+sleep 10
+exit 101

+ 0 - 0
server-ce/init_scripts/00_regen_sharelatex_secrets.sh → server-ce/init_scripts/100_generate_secrets.sh


+ 0 - 0
server-ce/init_scripts/00_make_sharelatex_data_dirs.sh → server-ce/init_scripts/100_make_sharelatex_data_dirs.sh


+ 0 - 0
server-ce/init_scripts/00_restore_site_status → server-ce/init_scripts/100_restore_site_status.sh


+ 0 - 0
server-ce/init_scripts/00_set_docker_host_ipaddress.sh → server-ce/init_scripts/100_set_docker_host_ipaddress.sh


+ 0 - 0
server-ce/init_scripts/01_nginx_config_template.sh → server-ce/init_scripts/200_nginx_config_template.sh


+ 0 - 0
server-ce/init_scripts/10_delete_old_logs.sh → server-ce/init_scripts/300_delete_old_logs.sh


+ 0 - 0
server-ce/init_scripts/98_check_db_access.sh → server-ce/init_scripts/500_check_db_access.sh


+ 0 - 0
server-ce/init_scripts/99_run_web_migrations.sh → server-ce/init_scripts/900_run_web_migrations.sh